Description

ResourceRegistrationStatus currently can be "Planned", "Active", "Decommissioned”, or "Mothballed". Mothballed is colloquial and

descriptions can be improved.

Proposed Solution

Deprecate "Mothballed" and add a new enum value of "OutOfService".

Update descriptions:

Planned: Resource is in the planning stage
Active: Resource is active

OutOfService: Resource is out of service
Decommissioned: Resource is decommissioned
Mothballed:

Resource is mothballed (or should it be noted that it is planned to be deprecated)

Decision

The team agreed that Mothballed is still a viable registration status and should be kept. In addition, there will be a new enum value
added "InActive". This will support those resources that are currently unavailable (possibly out of service), in a state of InActive.

2024-07-11: Correct spelling of new enum value to "Inactive"; RegisteredResource attribute registrationStatus; update the description
to remove the references to the enumeration values. "Current state of the resource registration which describes the lifecycle from

initial design through to eventual decommissioning."

Enumeration ResourceRegistrationStatus description was "Types of resource registration status, for example:

Active

Mothballed

Planned

Decommissioned"

Change to "Types of resource registration status."

Release Notes

Added new enum value "InActive"

2024-07-11: Release Notes:

ResourceRegistrationStatus enum rename "InActive" to "Inactive”

RegisteredResource attribute registrationStatus; update the description to remove the references to the enumeration values. "Current
state of the resource registration which describes the lifecycle from initial design through to eventual decommissioning."
Enumeration ResourceRegistrationStatus update description to remove references to enum values.
History

#1 - 04/29/2024 04:41 PM - Scott Coe

Better option: Deprecate "Mothballed" for backward compatibility and just add a new "OutOfService" option.

#2 - 04/30/2024 07:47 PM - Todd Viegut

- Project changed from WG13 Issues to Market Operations

Per Scott's request moving this into WG16 redmine.

#3 - 05/01/2024 07:12 AM - Becky Iverson
- Proposed Solution updated

#4 - 06/10/2024 09:50 AM - Becky Iverson
- Status changed from New to Open

- Decision updated

#5 - 06/10/2024 09:51 AM - Becky Iverson
- Solution to be Applied To set to iec61970cim18v02_iec61968cim14v00_Market04v16
- Solution Version set to iec61970cim18v02_iec61968cim14v00_Market04v16

- Solution Applied By set to Becky Iverson

#6 - 06/10/2024 09:51 AM - Becky Iverson

- Status changed from Open to In Progress

#7 - 06/10/2024 09:51 AM - Becky Iverson

- Status changed from In Progress to Review

#8 - 06/11/2024 12:53 PM - Becky Iverson

- Release Notes updated

#9 - 07/11/2024 10:30 AM - Becky Iverson
- Status changed from Review to In Progress

- Decision updated

#10 - 07/11/2024 10:33 AM - Becky Iverson

- Decision updated

#11 - 07/11/2024 01:36 PM - Becky Iverson
- Status changed from In Progress to Review

- Solution to be Applied To changed from iec61970cim18v02_iec61968cim14v00_Market04v16 to
iec61970cim18v02_iec61968cim14v00_Market04v17

- Solution Version changed from iec61970cim18v02_iec61968cim14v00_Market04v16 to iec61970cim18v02_iec61968cim14v00_Market04v17

- Release Notes updated

#12 - 09/16/2024 02:14 PM - Becky Iverson

- Status changed from Review to Closed
